Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Class WorkRequest

    java.lang.Object
      org.gjt.sp.util.WorkRequest

All Implemented Interfaces:
  java.lang.Runnable, ProgressObserver

Direct Known Subclasses:
  BufferIORequest

Deprecated.

    @Deprecated
    public abstract class WorkRequest

extends java.lang.Object
implements java.lang.Runnable, ProgressObserver

A subclass of the Runnable interface.

Since:
  jEdit 2.6pre1
See Also:
  `Task`

Constructor Summary
`WorkRequest()` Deprecated.

Method Summary
`void` | `setAbortable(boolean abortable)` Deprecated. Sets if the request can be aborted.
`void` | `setMaximum(long value)` Deprecated. Update the maximum value.
`void` | `setProgressMaximum(int value)` Deprecated. use `setMaximum(long)`
`void` | `setProgressValue(int value)` Deprecated. use `setValue(long)`
`void` | `setStatus(java.lang.String status)` Deprecated. Sets the status text.
`void` | `setValue(long value)` Deprecated. Update the progress value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### WorkRequest

    public WorkRequest()

  Deprecated.

Method Detail

### setAbortable

    public void setAbortable(boolean abortable)

  Deprecated.
  Sets if the request can be aborted.

### setStatus

    public void setStatus(java.lang.String status)

  Deprecated.
  Sets the status text.

  Specified by:
    `setStatus` in interface `ProgressObserver`
  Parameters:
    `status` - The status text

### setProgressValue

    @Deprecated
    public void setProgressValue(int value)

  Deprecated. use `setValue(long)`

  Sets the progress value.

  Parameters:
    `value` - The progress value.

### setProgressMaximum

    @Deprecated
    public void setProgressMaximum(int value)

  Deprecated. use `setMaximum(long)`

  Sets the maximum progress value.

  Parameters:
    `value` - The progress value.

### setValue

    public void setValue(long value)

  Deprecated.
  Update the progress value.

  Specified by:
    `setValue` in interface `ProgressObserver`
  Parameters:
    `value` - the new value
  Since:
    jEdit 4.3pre3

### setMaximum

    public void setMaximum(long value)

  Deprecated.
  Update the maximum value.

  Specified by:
    `setMaximum` in interface `ProgressObserver`
  Parameters:
    `value` - the new maximum value
  Since:
    jEdit 4.3pre3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD